Bug 1821724 - Review Request: golang-github-gobwas-pool - Go Pooling Helpers
Summary: Review Request: golang-github-gobwas-pool - Go Pooling Helpers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Hirotaka Wakabayashi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1821746
TreeView+ depends on / blocked
 
Reported: 2020-04-07 13:14 UTC by Fabian Affolter
Modified: 2020-08-27 14:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-27 14:20:44 UTC
Type: ---
hiwkby: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-04-07 13:14:34 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-gobwas-pool.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-gobwas-pool-0.2.0-1.fc31.src.rpm

Project URL: https://github.com/gobwas/pool

Description:
Go Pooling Helpers.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=43091742

rpmlint output:
$ rpmlint golang-github-gobwas-pool-0.2.0-1.fc31.src.rpm 
golang-github-gobwas-pool.src: W: no-%build-section
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint golang-github-gobwas-pool-devel-0.2.0-1.fc31.noarch.rpm
golang-github-gobwas-pool-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/gobwas/pool/.goipath
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Fedora Account System Username: fab

Comment 1 Hirotaka Wakabayashi 2020-06-14 12:36:57 UTC
Hello Fabian,

Could you please include the license text as part of the source code? 
The source package does not seem to include the text of the license.
```
$ find ~/rpmbuild/BUILD/pool-0.2.0
/home/vagrant/rpmbuild/BUILD/pool-0.2.0
/home/vagrant/rpmbuild/BUILD/pool-0.2.0/_build
/home/vagrant/rpmbuild/BUILD/pool-0.2.0/_build/bin
/home/vagrant/rpmbuild/BUILD/pool-0.2.0/_build/src
/home/vagrant/rpmbuild/BUILD/pool-0.2.0/_build/src/github.com
/home/vagrant/rpmbuild/BUILD/pool-0.2.0/_build/src/github.com/gobwas
/home/vagrant/rpmbuild/BUILD/pool-0.2.0/_build/src/github.com/gobwas/pool
/home/vagrant/rpmbuild/BUILD/pool-0.2.0/golang-github-gobwas-pool-devel.file-list
/home/vagrant/rpmbuild/BUILD/pool-0.2.0/option.go
/home/vagrant/rpmbuild/BUILD/pool-0.2.0/pbufio
/home/vagrant/rpmbuild/BUILD/pool-0.2.0/pbufio/pbufio_go19.go
/home/vagrant/rpmbuild/BUILD/pool-0.2.0/pbufio/pbufio_test.go
/home/vagrant/rpmbuild/BUILD/pool-0.2.0/pbufio/pbufio.go
/home/vagrant/rpmbuild/BUILD/pool-0.2.0/pbufio/pbufio_go110.go
/home/vagrant/rpmbuild/BUILD/pool-0.2.0/generic_test.go
/home/vagrant/rpmbuild/BUILD/pool-0.2.0/pool.go
/home/vagrant/rpmbuild/BUILD/pool-0.2.0/internal
/home/vagrant/rpmbuild/BUILD/pool-0.2.0/internal/pmath
/home/vagrant/rpmbuild/BUILD/pool-0.2.0/internal/pmath/pmath.go
/home/vagrant/rpmbuild/BUILD/pool-0.2.0/internal/pmath/pmath_test.go
/home/vagrant/rpmbuild/BUILD/pool-0.2.0/pbytes
/home/vagrant/rpmbuild/BUILD/pool-0.2.0/pbytes/pool_test.go
/home/vagrant/rpmbuild/BUILD/pool-0.2.0/pbytes/pbytes_test.go
/home/vagrant/rpmbuild/BUILD/pool-0.2.0/pbytes/pool.go
/home/vagrant/rpmbuild/BUILD/pool-0.2.0/pbytes/pool_sanitize_test.go
/home/vagrant/rpmbuild/BUILD/pool-0.2.0/pbytes/pool_sanitize.go
/home/vagrant/rpmbuild/BUILD/pool-0.2.0/pbytes/pbytes.go
/home/vagrant/rpmbuild/BUILD/pool-0.2.0/generic.go
/home/vagrant/rpmbuild/BUILD/pool-0.2.0/README.md
```

If the source package does not include the text of the license(s), the 
packager should contact upstream and encourage them to correct this mistake.
Please see:
https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/#_license_text

Thanks in advance,
Hirotaka Wakabayashi

Comment 2 Fabian Affolter 2020-07-01 06:45:56 UTC
(In reply to Hirotaka Wakabayashi from comment #1)
> Hello Fabian,
> 
> Could you please include the license text as part of the source code? 
> The source package does not seem to include the text of the license.

Added. Thanks for the check.

%changelog
* Wed Jul 01 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.0-2
- Add license

Updated files:
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-gobwas-pool.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-gobwas-pool-0.2.0-2.fc31.src.rpm

Comment 3 Hirotaka Wakabayashi 2020-07-13 22:52:53 UTC
Hello Fabian, Thank you for your updates. Package Approved.

Please update the version before you import. The newer version, which includes the LICENSE file, has released 13 days ago. :)

Best,
Hirotaka Wakabayashi



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package does not own files or directories owned by other packages.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-gobwas-pool-devel-0.2.0-2.fc33.noarch.rpm
          golang-github-gobwas-pool-0.2.0-2.fc33.src.rpm
golang-github-gobwas-pool-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/gobwas/pool/.goipath
golang-github-gobwas-pool.src: W: no-%build-section
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
golang-github-gobwas-pool-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/gobwas/pool/.goipath
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Source checksums
----------------
https://raw.githubusercontent.com/gobwas/pool/master/LICENSE :
  CHECKSUM(SHA256) this package     : bcc745631c0144db2c601650c55d108172c80d601cf2346c71594a0bc32f6f1c
  CHECKSUM(SHA256) upstream package : bcc745631c0144db2c601650c55d108172c80d601cf2346c71594a0bc32f6f1c
https://github.com/gobwas/pool/archive/v0.2.0/pool-0.2.0.tar.gz :
  CHECKSUM(SHA256) this package     : 6c4f7ab93586a9a8ca28dc3dcf7cb5bfeaf8580274d7077897800c3b00c6fa2a
  CHECKSUM(SHA256) upstream package : 6c4f7ab93586a9a8ca28dc3dcf7cb5bfeaf8580274d7077897800c3b00c6fa2a


Requires
--------
golang-github-gobwas-pool-devel (rpmlib, GLIBC filtered):
    go-filesystem



Provides
--------
golang-github-gobwas-pool-devel:
    golang(github.com/gobwas/pool)
    golang(github.com/gobwas/pool/internal/pmath)
    golang(github.com/gobwas/pool/pbufio)
    golang(github.com/gobwas/pool/pbytes)
    golang-github-gobwas-pool-devel
    golang-ipath(github.com/gobwas/pool)



Generated by fedora-review 0.7.5 (68531f4) last change: 2020-05-31
Command line :try-fedora-review -b 1821724
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Python, Ocaml, R, fonts, Perl, SugarActivity, Haskell, C/C++, Java, PHP, Ruby
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 4 Gwyn Ciesla 2020-07-14 13:11:30 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-gobwas-pool

Comment 5 Fedora Update System 2020-08-19 07:45:16 UTC
FEDORA-2020-3f8b2b998a has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-3f8b2b998a

Comment 6 Fedora Update System 2020-08-19 07:55:52 UTC
FEDORA-2020-10ae8d8e8d has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-10ae8d8e8d

Comment 7 Fedora Update System 2020-08-20 01:48:36 UTC
FEDORA-2020-10ae8d8e8d has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-10ae8d8e8d \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-10ae8d8e8d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-08-20 02:01:37 UTC
FEDORA-2020-3f8b2b998a has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-3f8b2b998a \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-3f8b2b998a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-08-27 14:20:44 UTC
FEDORA-2020-10ae8d8e8d has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-08-27 14:30:40 UTC
FEDORA-2020-3f8b2b998a has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.